aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.Multipart

# Documentation

data InitiateMultipartUpload Source #

Constructors

InitiateMultipartUpload |

Fields

- imuBucket :: Bucket
- imuObjectName :: Object
- imuCacheControl :: Maybe Text
- imuContentDisposition :: Maybe Text
- imuContentEncoding :: Maybe Text
- imuContentType :: Maybe Text
- imuExpires :: Maybe Int
- imuMetadata :: [(Text, Text)]
- imuStorageClass :: Maybe StorageClass
- imuWebsiteRedirectLocation :: Maybe Text
- imuAcl :: Maybe CannedAcl
- imuServerSideEncryption :: Maybe ServerSideEncryption
- imuAutoMakeBucket :: Bool

  Internet Archive S3 nonstandard extension

#### Instances

Instances details

SignQuery InitiateMultipartUpload Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration InitiateMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration InitiateMultipartUpload = S3Configuration

Methods

signQuery :: InitiateMultipartUpload -> ServiceConfiguration InitiateMultipartUpload queryType -> SignatureData -> SignedQuery Source #

Show InitiateMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> InitiateMultipartUpload -> ShowS Source # show :: InitiateMultipartUpload -> String Source # showList :: [InitiateMultipartUpload] -> ShowS Source #
Transaction InitiateMultipartUpload InitiateMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration InitiateMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration InitiateMultipartUpload = S3Configuration

postInitiateMultipartUpload :: Bucket -> Text -> InitiateMultipartUpload Source #

data InitiateMultipartUploadResponse Source #

Constructors

InitiateMultipartUploadResponse |

Fields

- imurBucket :: !Bucket
- imurKey :: !Text
- imurUploadId :: !Text

#### Instances

Instances details

AsMemoryResponse InitiateMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse InitiateMultipartUploadResponse = InitiateMultipartUploadResponse

Methods

loadToMemory :: InitiateMultipartUploadResponse -> ResourceT IO (MemoryResponse InitiateMultipartUploadResponse) Source #

ResponseConsumer r InitiateMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata InitiateMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata InitiateMultipartUploadResponse) -> HTTPResponseConsumer InitiateMultipartUploadResponse Source #

Transaction InitiateMultipartUpload InitiateMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse InitiateMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse InitiateMultipartUploadResponse = InitiateMultipartUploadResponse
type ResponseMetadata InitiateMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata InitiateMultipartUploadResponse = S3Metadata

data UploadPart Source #

Constructors

UploadPart |

Fields

- upObjectName :: Text
- upBucket :: Bucket
- upPartNumber :: Integer
- upUploadId :: Text
- upContentType :: Maybe ByteString
- upContentMD5 :: Maybe (Digest MD5)
- upServerSideEncryption :: Maybe ServerSideEncryption
- upRequestBody :: RequestBody
- upExpect100Continue :: Bool

  Note: Requires http-client >= 0.4.10

#### Instances

Instances details

SignQuery UploadPart Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration UploadPart |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration UploadPart = S3Configuration

Methods

signQuery :: UploadPart -> ServiceConfiguration UploadPart queryType -> SignatureData -> SignedQuery Source #

ResponseConsumer UploadPart UploadPartResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata

Methods

responseConsumer :: Request -> UploadPart -> IORef (ResponseMetadata UploadPartResponse) -> HTTPResponseConsumer UploadPartResponse Source #

Transaction UploadPart UploadPartResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration UploadPart Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration UploadPart = S3Configuration

uploadPart :: Bucket -> Text -> Integer -> Text -> RequestBody -> UploadPart Source #

data UploadPartResponse Source #

Constructors

UploadPartResponse |

Fields

- uprETag :: !Text

#### Instances

Instances details

AsMemoryResponse UploadPartResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse UploadPartResponse = UploadPartResponse

Methods

loadToMemory :: UploadPartResponse -> ResourceT IO (MemoryResponse UploadPartResponse) Source #

Show UploadPartResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> UploadPartResponse -> ShowS Source # show :: UploadPartResponse -> String Source # showList :: [UploadPartResponse] -> ShowS Source #
ResponseConsumer UploadPart UploadPartResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata

Methods

responseConsumer :: Request -> UploadPart -> IORef (ResponseMetadata UploadPartResponse) -> HTTPResponseConsumer UploadPartResponse Source #

Transaction UploadPart UploadPartResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse UploadPartResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse UploadPartResponse = UploadPartResponse
type ResponseMetadata UploadPartResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata

data CompleteMultipartUpload Source #

Constructors

CompleteMultipartUpload |

Fields

- cmuBucket :: Bucket
- cmuObjectName :: Object
- cmuUploadId :: Text
- cmuPartNumberAndEtags :: [(Integer, Text)]
- cmuExpiration :: Maybe Text
- cmuServerSideEncryption :: Maybe Text
- cmuServerSideEncryptionCustomerAlgorithm :: Maybe Text

#### Instances

Instances details

SignQuery CompleteMultipartUpload Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration CompleteMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration CompleteMultipartUpload = S3Configuration

Methods

signQuery :: CompleteMultipartUpload -> ServiceConfiguration CompleteMultipartUpload queryType -> SignatureData -> SignedQuery Source #

Show CompleteMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> CompleteMultipartUpload -> ShowS Source # show :: CompleteMultipartUpload -> String Source # showList :: [CompleteMultipartUpload] -> ShowS Source #
Transaction CompleteMultipartUpload CompleteMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration CompleteMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration CompleteMultipartUpload = S3Configuration

postCompleteMultipartUpload :: Bucket -> Text -> Text -> [(Integer, Text)] -> CompleteMultipartUpload Source #

data CompleteMultipartUploadResponse Source #

Constructors

CompleteMultipartUploadResponse |

Fields

- cmurLocation :: !Text
- cmurBucket :: !Bucket
- cmurKey :: !Text
- cmurETag :: !Text
- cmurVersionId :: !(Maybe Text)

#### Instances

Instances details

AsMemoryResponse CompleteMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse CompleteMultipartUploadResponse = CompleteMultipartUploadResponse

Methods

loadToMemory :: CompleteMultipartUploadResponse -> ResourceT IO (MemoryResponse CompleteMultipartUploadResponse) Source #

Show CompleteMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> CompleteMultipartUploadResponse -> ShowS Source # show :: CompleteMultipartUploadResponse -> String Source # showList :: [CompleteMultipartUploadResponse] -> ShowS Source #
ResponseConsumer r CompleteMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata CompleteMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CompleteMultipartUploadResponse) -> HTTPResponseConsumer CompleteMultipartUploadResponse Source #

Transaction CompleteMultipartUpload CompleteMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse CompleteMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse CompleteMultipartUploadResponse = CompleteMultipartUploadResponse
type ResponseMetadata CompleteMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata CompleteMultipartUploadResponse = S3Metadata

data AbortMultipartUpload Source #

Constructors

AbortMultipartUpload |

Fields

- amuBucket :: Bucket
- amuObjectName :: Object
- amuUploadId :: Text

#### Instances

Instances details

SignQuery AbortMultipartUpload Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ServiceConfiguration AbortMultipartUpload |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration AbortMultipartUpload = S3Configuration

Methods

signQuery :: AbortMultipartUpload -> ServiceConfiguration AbortMultipartUpload queryType -> SignatureData -> SignedQuery Source #

Show AbortMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> AbortMultipartUpload -> ShowS Source # show :: AbortMultipartUpload -> String Source # showList :: [AbortMultipartUpload] -> ShowS Source #
Transaction AbortMultipartUpload AbortMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type ServiceConfiguration AbortMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration AbortMultipartUpload = S3Configuration

postAbortMultipartUpload :: Bucket -> Text -> Text -> AbortMultipartUpload Source #

data AbortMultipartUploadResponse Source #

Constructors

AbortMultipartUploadResponse |

#### Instances

Instances details

AsMemoryResponse AbortMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse AbortMultipartUploadResponse = AbortMultipartUploadResponse

Methods

loadToMemory :: AbortMultipartUploadResponse -> ResourceT IO (MemoryResponse AbortMultipartUploadResponse) Source #

Show AbortMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart Methods showsPrec :: Int -> AbortMultipartUploadResponse -> ShowS Source # show :: AbortMultipartUploadResponse -> String Source # showList :: [AbortMultipartUploadResponse] -> ShowS Source #
ResponseConsumer r AbortMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type ResponseMetadata AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata AbortMultipartUploadResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata AbortMultipartUploadResponse) -> HTTPResponseConsumer AbortMultipartUploadResponse Source #

Transaction AbortMultipartUpload AbortMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
type MemoryResponse AbortMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse AbortMultipartUploadResponse = AbortMultipartUploadResponse
type ResponseMetadata AbortMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata AbortMultipartUploadResponse = S3Metadata

getUploadId :: Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> IO Text Source #

sendEtag :: Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> Text -> [Text] -> IO CompleteMultipartUploadResponse Source #

putConduit :: forall (m :: Type -> Type). MonadResource m => Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> Text -> ConduitT ByteString Text m () Source #

chunkedConduit :: forall (m :: Type -> Type). MonadResource m => Integer -> ConduitT ByteString ByteString m () Source #

multipartUpload :: Configuration -> S3Configuration NormalQuery -> Manager -> Text -> Text -> ConduitT () ByteString (ResourceT IO) () -> Integer -> ResourceT IO () Source #

multipartUploadSink Source #

Arguments

:: forall (m :: Type -> Type). MonadResource m |
=> Configuration |
-> S3Configuration NormalQuery |
-> Manager |
-> Text | Bucket name
-> Text | Object name
-> Integer | chunkSize (minimum: 5MB)
-> ConduitT ByteString Void m () |

multipartUploadWithInitiator :: Configuration -> S3Configuration NormalQuery -> (Bucket -> Text -> InitiateMultipartUpload) -> Manager -> Text -> Text -> ConduitT () ByteString (ResourceT IO) () -> Integer -> ResourceT IO () Source #

multipartUploadSinkWithInitiator Source #

Arguments

:: forall (m :: Type -> Type). MonadResource m |
=> Configuration |
-> S3Configuration NormalQuery |
-> (Bucket -> Text -> InitiateMultipartUpload) | Initiator
-> Manager |
-> Text | Bucket name
-> Text | Object name
-> Integer | chunkSize (minimum: 5MB)
-> ConduitT ByteString Void m () |